pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/39685: textproc/psgml-mode forces installation of editors/emacs aka emacs22

>Number:         39685
>Category:       pkg
>Synopsis:       textproc/psgml-mode forces installation of editors/emacs aka 
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Fri Oct 03 16:15:06 +0000 2008
>Originator:     Jörn Clausen
>Release:        NetBSD 4.0
NetBSD samwise 4.0 NetBSD 4.0 (GENERIC) #0: Sun Dec 16 00:20:10 PST 2007  
Although editors/emacs21 is installed, textproc/pgsml-mode forces the 
installation of editors/emacs, which is currently Emacs 22.1. psgml-mode does 
not set EMACS_TYPE, but adds "base" to EMACS_MODULES. I don't know, if this 
breaks the apired logic to accept any emacs. In principle, psgml mode works 
fine with Emacs 21.
install editors/emacs21 and textproc/psgml-mode

Home | Main Index | Thread Index | Old Index